#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const create_blank_1 = require("../config/create-blank");
const log_1 = require("../util/log");
const program_1 = require("./program");
const run_1 = require("./run");
(async () => {
    const program = await (0, program_1.createProgram)();
    program.parse(process.argv);
    const { debug, init } = program.opts();
    if (!debug) {
        log_1.log.debug = () => undefined;
    }
    if (init) {
        await (0, create_blank_1.createBlackConfig)();
        return;
    }
    await (0, run_1.run)();
})().catch(log_1.log.error);
//# sourceMappingURL=cli.js.map